Servers
Create, update, start, stop, restart, reinstall, resize, and delete servers.
Create, start, stop, reinstall, resize, and delete servers over a REST API with JSON requests and responses.
curl -X POST https://api.arct.cloud/v1/servers \
-H "Authorization: Bearer $ARCT_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"hostname": "web-1",
"datacenter": "ams2",
"plan": "hvm.nano",
"image_id": "IMAGE_ID",
"ssh_key_ids": ["SSH_KEY_ID"]
}'Create a server with the REST API
from arct import Arct
with Arct() as client: # reads ARCT_TOKEN
result = client.servers.create(
hostname="web-1",
datacenter="ams2",
plan="hvm.nano",
image_id="IMAGE_ID",
ssh_key_ids=["SSH_KEY_ID"],
)
server = client.servers.wait_until(result, "running", timeout=600)
print(server.ipv4)Create a server with the Python SDK
import { Arct } from '@arct-cloud/sdk';
const client = new Arct(); // reads ARCT_TOKEN
const result = await client.servers.create({
hostname: 'web-1',
datacenter: 'ams2',
plan: 'hvm.nano',
image_id: 'IMAGE_ID',
ssh_key_ids: ['SSH_KEY_ID'],
});
const server = await client.servers.waitUntil(result, 'running', { timeoutMs: 600_000 });
console.log(server.ipv4);Create a server with the TypeScript SDK
export ARCT_TOKEN="arct_your_token_here"
arct images list --datacenter ams2
arct servers create --hostname web-1 --datacenter ams2 --plan hvm.nano \
--image IMAGE_UUID --ssh-key KEY_UUID --yes --waitCreate a server with the Arct Cloud CLI
Create, update, start, stop, restart, reinstall, resize, and delete servers.
Datacenters, locations, plans, and OS images you can order.
Add and remove the keys installed on new and reinstalled servers.
List invoices and pay them from account credit.
Read only and read & write tokens, created in the dashboard.
An OpenAPI 3.1 specification of the API.
Create, power, reinstall, resize, and delete servers from your own code.